Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Summary:	The official Ogg Vorbis toolset.
Name:		vorbis-tools
Version:	1.4.0
Release:	1
Provides:	%{name}
License:	GNU/GPL 
URL:		http://www.vorbis.com
Group:		Sound
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

BuildRequires: curl-devel
BuildRequires: speex-devel
BuildRequires: libao-devel

#Automatically resolved build dependencies
BuildRequires: flac-devel
BuildRequires: glibc-devel
BuildRequires: libogg-devel
BuildRequires: libvorbis-devel

%description
Ogg Vorbis is a high-quality lossy audio codec which is free of intellectual property
restrictions (like those surrounding MP3). These are the tools that one needs to create
and play Ogg Vorbis files on the commandline, as well as a simple commentor.
For more details see: http://www.vorbis.com

%post
ldconfig

%postun
ldconfig

%prep
%setup -qn %{name}-%{version}

%build
./configure --prefix=%_prefix \
--mandir=%_mandir \
--disable-dependency-tracking
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%{_bindir}/ogg123
%{_bindir}/oggdec
%{_bindir}/oggenc
%{_bindir}/ogginfo
%{_bindir}/vcut
%{_bindir}/vorbiscomment
%{_locale}/*/LC_MESSAGES/vorbis-tools.mo
%{_mandir}/man1/ogg123.1.gz
%{_mandir}/man1/oggdec.1.gz
%{_mandir}/man1/oggenc.1.gz
%{_mandir}/man1/ogginfo.1.gz
%{_mandir}/man1/vcut.1.gz
%{_mandir}/man1/vorbiscomment.1.gz
%{_docdir}/vorbis-tools-%{version}/ogg123rc-example

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Oct 17 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.4.0-1
- version update
* Sun Mar 16 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.2.0-1
- version update
* Sun Oct 14 2007 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 1.1.1-3
- rebuilt against flac 1.2.1
* Mon Nov 28 2005 Uli Schukraft <schukraft@ccux-linux.de> 1.1.1-2
- Removed unnecessary Obsoletes-Tag
* Mon Jul 18 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 1.1.1-1
- Version Update
* Fri Jun 17 2005 Christian Metzen <metzench@ccux-linux.de> 1.0.1-3
- Tweaked specfile
* Fri Jun 17 2005 Stefan Gottwald <gotti@ccux-linux.de> 1.0.1-2
- Recompilation against new flac
* Sun Mar 20 2005 Christian Wasem <wasem@ccux-linux.de> 1.0.1-2
- rebuild for speex  
* Tue Mar 14 2005 Christian Wasem <wasem@ccux-linux.de> 1.0.1-1
- Initial Release
